Package rdkit :: Package ML :: Package Descriptors :: Module MoleculeDescriptors :: Class MolecularDescriptorCalculator

[hide private]
[frames] | no frames]

# Class MolecularDescriptorCalculator

source code

    Descriptors.DescriptorCalculator --+
                                       |
                                      MolecularDescriptorCalculator

    used for calculating descriptors for molecules

Instance Methods | [hide private]

__init__(self, simpleList, *args, **kwargs) Constructor | source code

_findVersions(self) returns a tuple of the versions of the descriptor calculators | source code

SaveState(self, fileName) Writes this calculator off to a file so that it can be easily loaded later | source code

CalcDescriptors(self, mol, *args, **kwargs) calculates all descriptors for a given molecule | source code

GetDescriptorNames(self) returns a tuple of the names of the descriptors this calculator generates | source code

GetDescriptorSummaries(self) returns a tuple of summaries for the descriptors this calculator generates | source code

GetDescriptorFuncs(self) returns a tuple of the functions used to generate this calculator's descriptors | source code

GetDescriptorVersions(self) returns a tuple of the versions of the descriptor calculators | source code

Inherited from `Descriptors.DescriptorCalculator`: `ShowDescriptors`

Method Details | [hide private]

### __init__(self, simpleList, *args, **kwargs)
(Constructor)

source code

    Constructor

    **Arguments**

      - simpleList: list of simple descriptors to be calculated
            (see below for format)

    **Note**

      - format of simpleList:

         a list of strings which are functions in the rdkit.Chem.Descriptors module

Overrides: Descriptors.DescriptorCalculator.__init__

### SaveState(self, fileName)

source code

    Writes this calculator off to a file so that it can be easily loaded later

    **Arguments**

      - fileName: the name of the file to be written

Overrides: Descriptors.DescriptorCalculator.SaveState

### CalcDescriptors(self, mol, *args, **kwargs)

source code

    calculates all descriptors for a given molecule

    **Arguments**

      - mol: the molecule to be used

    **Returns**
      a tuple of all descriptor values

Overrides: Descriptors.DescriptorCalculator.CalcDescriptors

### GetDescriptorNames(self)

source code

    returns a tuple of the names of the descriptors this calculator generates

Overrides: Descriptors.DescriptorCalculator.GetDescriptorNames